### Constructor

# Gio SimplePermission new

since: 2.26

#### Declaration

    GPermission*
    g_simple_permission_new (
      gboolean allowed
    )

#### Description

Creates a new `GPermission` instance that represents an action that is either always or never allowed.

Available since: 2.26

#### Parameters

`allowed`

  Type: `gboolean`

  `TRUE` if the action is allowed.

#### Return value

Type: `GPermission`

The `GSimplePermission`, as a `GPermission`.

The caller of the function takes ownership of the data, and is responsible for freeing it.